Parabola Recommended Computers - Get various libre-friendly computers into hackers hands -
document support status

2020-08-09 07:22 AM - GNUtoo

Status: open % Done: 0%
Priority: wish
Assignee:

Category:

Description

History

#1 - 2020-08-09 07:31 AM - GNUtoo

- Subject changed from Get ARM computers in the hand of Parabola hackers to Get armv7h computers in the hand of Parabola hackers and
document hardware status

It would be a good idea to find a way to get ARM SBCs to various Parabola hackers that are involved in the armv7h port:

e armv7 computers for older SOCs start being harder to find
¢ It would be a good idea to have Parabola hackers working on the ARM version to have access to at least one devices per supported SOC.

This way anyone involved would be able to test basic functionalities like boot. It's is not convenient to do that on remote ARM builders, so it would be
best if people that don't have already SOCs could get some.

In addition it would be a good idea to document who has what SOCs (for testing) and boards and see what devices we can best support.
Personally I've documented that on my website as I'm involved in more than one free software project where that information is relevant.
#2 - 2020-08-30 01:59 AM - bill-auger

- Status changed from unconfirmed to open

- Tracker changed from Bug to Housekeeping

#3 - 2021-01-04 09:39 PM - bill-auger
- Priority changed from bug to wish

- Project changed from Packages to Ports

it would be useful to compile a list of which exotic hardware any of us already does have, and which others are are most desirable - feel free to add to
the table or make corrections

hacker machine status libre notes CPU architecture
megver banana pi (M1) working libre ARM 32bit (which model?)
oaken-source beagle-black working libre ARM 32bit (which model?)
EOMAG8 (prototype) semi-working libre ARM 32bit (A20)
samsung chromebook plus | semi-working probably libre ARM 64bit (Rockchip
(kevin) RK3399)
chromebook C201 semi-working libre ARM 32bit (which model?)
Beagle-V working No libre firmware for wifi RISC-V 64bit (U74)
GNUtoo Lime2 eMMC with working RYF Certifiable, nonfree ARM 32bit (A20)
RTL8211E PHY (gen-2) ssd/microSD firmwares
PCduino Lite working libre ARM 32bit (A10)
Beaglebone Black working Free boot, no 3D or video ARM 32bit (AM335x)
decoding
Beaglebone Green working no display connector ARM 32bit (AM335x)
Beagleboard XM working Free boot, no 3D or video ARM 32bit (OMAP3)
decoding
Pandaboard

working

Free boot, no display yet

ARM 32bit (OMAP4)

TBS TBS2910

working

Free boot, no WiFi, no
video decoding

ARM 32bit (1.MX6)

AM-S805X-AC (64bit)

working but unsupported

nonfree boot

ARM 64bit (Amlogic
S805x)

GTAO4 A3 and GTA04 A4

TODO: test again

Linux support

Free vendor u-boot, good

ARM 32bit (DM370?)

Thinkpad X60 w/Coreboot | TODO: Test again RYF Certifiable (DIY), x86 32bit
nonfree ec and hdd
firmwares
Thinkpad X60 w/Coreboot | TODO: Test again RYF Certifiable (DIY), x86 32bit
(Tablet) nonfree ec and hdd
firmwares
Thinkpad T60 w/Coreboot | TODO: Test again RYF Certifiable (DY), x86 64bit
nonfree ec and hdd
firmwares
Thinkpad X200 w/Coreboot |working RYF Certifiable (DIY), x86 64bit
nonfree ec and hdd
firmwares
Thinkpad T400 w/Coreboot | working RYF Certifiable (DY), x86 64bit
nonfree ec and hdd
firmwares
PcEngine APU1, E350M1, |working Nonfree SMU (replaceable) | x86 64bit (AMD G T40E)
M4A785T-M w/Coreboot and SSD/HDD firmwares
Acer TravelMate 4000 booting™ Nonfree BIOS, Radeon x86 32bit
video BIOS, etc
isacdaavid thinkpad w/libreboot working libre x86 32bit
bill-auger Freedombox, eMMC working RYF Certifiable, nonfree ARM 32bit (A20)
w/RTL8211E PHY (Lime2 ssd/microSD firmwares
gen-2)
Lime2 Server, eMMC working RYF Certifiable, nonfree ARM 32bit (A20)
w/KSZ9031 PHY (gen-3) ssd/microSD firmwares
Thinkpad T500 w/Coreboot | working RYF Certifiable (DIY), x86 64bit
nonfree ec and hdd
firmwares
TERES TODO RYF Certifiable, nonfree ARM 64bit (A53)
wifi
PinebookPro TODO RYF Certifiable, nonfree ARM 64bit (RK3399)

wifi

Should we move the above table to the wiki?
It would be easier to edit (the redmine syntax is too much time consuming to align colums, not aligning columns make it unmaintainable.
However it would be nice to also make it easy for all users (not necessarily developers) to contribute to this table and/or to testing .

' Could not login before but it turned out that running passwd without argument didn't change the password when booting with init=/bin/sh whereas
doing passwd root worked fine, which enabled me to login.

Machines that could be useful to get:

2024-03-20

machine status libre notes CPU architecture Rationale
Lime2 (gen 1) presumed-working | libre ARM 32bit (which Add support for the
one?) Lime2 (all versions)
talos ll/Talos Il lite / | partially-working RYF, no FSDG PPC64LE Add support for
blackbird distros for the BMC ppcé4le + RYF
or the PPC64LE hardware
NXP T2080RDB ? probably free boot, |PPC64LE Add support for
Devkit no display ppc64le, easier to
controller => work with than
Freedom issue® Talos
PPC netbook* ? probably free boot, | PPC64LE Add support for
(WIP) no display ppc64le, probably
controller => faster than
Freedom issue® Libreboot thinkpads
sifive partially-working requires blobs RISCV Add support for
RISCV
Board with ECP 5 + [ (some) support in Should be 100% RISCV Go way beyond

LiteX

Linux

free software

RYF: free HDL
design + FPGA, but
slow

Jetson TK1 (not
TX19)

ARM (32bit?)
(which one?)

Support Tegra, free
bootloader

Pinebook PRO requires patches Free boot, not ARM 64bit Fast laptop, 4GiB of
everything working? | (RK3399) RAM, can probably
have ath9k WiFi
Novena requires patches Free boot, almost ARM 32bit (which Laptop, Slow but
everything working® |one?) has SATA, mPCle,
4GiB of RAM, and
so on™®
Olimex TERES ? ? ARM 64bit (A53) Probably easy to
laptop add support for it,
only 2GiB of RAM™
?
EOMA68° ? RYF Certifiable, ARM 32bit (A20) Not yet in
nonfree eMMC/uSD production, UART
firmwares access probably
requires patching
MIPS Creator CI20” |? Boots with free MIPS (which one?) [ Bring back the
software, GPU not MIPS port?
working®
LibreCMC Depends® Boots with free MIPS (which one?) [ WiFi Access points
compatible WiFi AP software in Parabola, bring
with USB port back MIPS support
?

PcEngine APU2
w/Coreboot

Likely to be similar
to PcEngine APU1

ARM 32bit (AMD G
GX-412TC)

More powerful than
APU1, long-term

production

' The nouveau and radeon drivers depend on data/bytecode in the Video BIOS. Is that bytecode data or also code?

2 Internal WiFi non working, dptx firmware is nonfree => No external display, storage: eMMC or NVMe PCle (so has DMA access at least at boot) =>
Using eMMC is posssible instead. The nvme connector may be repurposable to add an ath9k on it (untested, requires adapter on the forum).

® The FPGA is probably supported by the free toolchain but lacks some blocks like DSP and so on. As with other I.MX6: nonfree video decoding
acceleration. It also has a free EC and so exist in desktop versions.

“https://www.powerpc-notebook.org/en/

® The status is unknown as luke didn't have the time to check if the boards worked or not (yet) + TODO: look if the desktop, adapters and laptops will
be shipped or not.

® Both Tegra K1 and Tegra X1 has nonfree nouveau firmwares (but no video BIOS as that's in the kenrel). The Tegra X1 has a signed (power
management only?) firmware for the GPU though.

"https://elinux.org/MIPS_Creator_CI20

8https://www.fsf.org/resources/hw/single-board-computers

® Some probably have their DTS upstream. TODO: look at the status if some is ever interested in bringing back MIPS.
1% It appear that production of the cases is discontinued; and only the mainboard is still available.

" The manual suggests that future revisions will have different memory capacities.

For adding laptops support, the Pinebook PRO looks really good but requires a bit of work: Someone is working to add support for it on Guix. The
status is that it didn't boot with upstream Linux last time that person tested it, and it requires some patches on top of recent Linux. Some of the
patches aren't needed (they are for nonfree bluetooth or nonfree WiFi, some are trivial to upstream, but there are some power management patches
that are problematic (very dirty code, not upstreamable in Linux), so we need to test if it works without them with a recent u-boot, kernel and ATF). If
someone is interested on working on that we could probably manage to find a way to ship a laptop to test all that.

The Novena could also be a nice laptop but it's probably not produced anymore.

#4 - 2021-01-07 07:04 AM - bill-auger

if anyone knows of others that are particularly libre-friendly, which parabola could support if we had any, do add them to the "no one" list
freedombox lists some others that they claim to support without blobs, though i dont know much about these, or if they really really do not require
blobs

A20 OLinuXino MICRO
PC Engines APU
Cubietruck
Cubieboard2

pcDuino3

Pine A64+

Banana Pro

Orange Pi Zero
RockPro64

Rock64

#5 - 2021-01-07 04:00 PM - isacdaavid

Added myself under the i686 banner. | lost my Beaglebone Black to hardware failure and I'm still waiting on the EOMAG68 vaporware to deliver,
although I'd rather get a refund at this point.

#6 - 2021-01-07 04:36 PM - bill-auger

yea, as strange at it may seem, i suppose 686 is in the exotic
category these days - those thinkpads with libreboot are all in
the high-priority category - that is what you have, yes? -
which model is it, the X607

#7 - 2021-01-08 12:27 AM - GNUtoo
| think we need to:

e Get many devboards to support as many SOCs as possible. Devboards are easy to work with.
e Get some ARM laptops and ship them to the developers wanting to work on them. Some laptops are still easy to work with.

Ideas of requirements to make our lives easier:

¢ Developers working on them really need to have at least an UART, so they could see what's wrong if the device doesn't boot anymore
¢ All the hardware we want to support must be able to boot with only free software and ideally we'd want upstream bootloders support.
e Having good Linux support will make sure we don't need to upstream or maintain all the patches required to make the devices work.

So far we have some Tl SOCs (omap3, omap4, am335x), Allwinner SOCs (A10, A20), I.MX SOCs (I.MX8), but for instance we have no Tegra K1 nor
Rockchip SOCs.

Given good upstream support, adding specific boards could be done with only copy-paste and tiny modifications both in the bootloader PKGBUILDs
to add a new target and in the wiki to add the infos required to install Parabola on them.

We'd then need to make sure not to break the boards we don't have.
That can be done by:

e Adding tests and making the code and installation procedure robust. For instance if u-boot goes over 1MiB, it should warn at least the people
installing the u-boot. I'm working on that.

¢ Finding a way to enable people to report more non-working things but also working boards. For instance we could add 1 more board with
copy-paste in exchange of people testing it at least after we added it and having some record that it worked.

¢ Fixing issues when they pop up (that's probably the harder part). So we might need to get the hardware for that, and most importantly time which
is difficult to get.

#8 - 2021-04-30 09:28 PM - bill-auger

the tables data has been transferred to the wiki (mostly) - i did not account for who has which hardware though - we could still use this ticket for that
purpose, and to decide which are promoted to the "priority support" tables

https://wiki.parabola.nu/Computers

#9 - 2022-05-04 01:17 AM - bill-auger

- Subject changed from Get armv7h computers in the hand of Parabola hackers and document hardware status to Parabola Recommended
Computers - Get various libre-friendly computers into hackers hands - document support status
